<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 * 
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose common page header
 * @deprecated this file is replaced by fof_getHeaderView() function
 * 
 * @version $Revision: 545 $
 * $Id: header.php 545 2007-02-24 08:35:36Z kevbob $
 */
 
require_once "init.php";

@header("Content-Type: text/html; charset=utf-8");

if(isset($_GET['view']))
    $view = $_GET['view'];
    
// seperate "if" statement in case this file was included
//  with another php file that already defined "view"
if(!isset($view))
    $view = "normal";

if (!isset($title)) {
	$title = 'fofredux';
}

$header_view = new View( FOF_VIEW_DIR . DIR_SEP . '_header.php' );
$header_view->set('view', $view);
$header_view->set('title', $title);
$header_view->set('add_head', (isset($add_head)) ? $add_head : '');
$header_view->render();

