<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose provide mapping array for phpxmlrpc server
 *
 * @version $Revision$
 * $Id$
 */

$GLOBALS['FOF_RPC_MAP'] = array();

// test methods
$GLOBALS['FOF_RPC_MAP']['test_ping'] = array(
         "function" => "fofrpc_ping",
         "signature" => array(array($xmlrpcString)),
         "docstring" => "method call test using simple ping ");

$GLOBALS['FOF_RPC_MAP']['test_echo'] = array(
         "function" => "fofrpc_echo",
         "signature" => array(array($xmlrpcString, $xmlrpcString)),
         "docstring" => "Echo back string ");

// retrieval/get methods

# @TODO implement some get methods