<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 * 
 * Distributed under the GPL - see LICENSE
 * 
 */

/**
 * @purpose this serves as the entry point for user(s) of FoFRedux
 * @version $Revision: 546 $
 * $Id: login.php 546 2007-02-25 07:57:33Z kevbob $
 */

// set flag so we don't get bounced to the login page
$FOF_NONSECURE_VIEW = true;

require_once "init.php";

if (isset($_POST['login_btn'])) { // we got a submit, so check user
	
	if(!$_POST['username'] | !$_POST['password']) {
		//1 of the fields left blank...handle error
		$login_status = "Please be sure to fill in both fields";
	}else{
		$login_status = fof_check_login($_POST['username'], $_POST['password']);
		if($login_status != "OK"){
			//error handling if authentication fails
		}else{
			//we're ok...set up the session	
			session_start();
			$_SESSION['username'] = $_POST['username'];
			session_write_close();
			
			$redir_view = new RedirectView( FOF_BASE_URL );
			$redir_view->render();
			exit();
		}
	}
}


$form_view = new View( FOF_VIEW_DIR.DIR_SEP.'_login_form.php');
$form_view->set('login_status', $login_status);

$layout_view = fof_getLayoutView($form_view);
$layout_view->render();

