<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose generates the control menu for changing the current view or updating feeds.
 * This file generates both the frames and non-frames menus.
 * @version $Revision: 546 $
 * $Id: menu.php 546 2007-02-25 07:57:33Z kevbob $
 */

require_once "init.php";

$layout_view = new CompositeView();
$layout_view->addView(fof_getHeaderView());

$menu_view = new View( FOF_VIEW_DIR . DIR_SEP . '_menu.frame.php'  );

$layout_view->addView($menu_view);
$layout_view->render();
