<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

require_once('../init.php');

// location of the SimpleTest unit testing framework
define('FOF_SIMPLE_TEST', 'simpletest');

require_once(FOF_SIMPLE_TEST.DIR_SEP.'unit_tester.php');
require_once(FOF_SIMPLE_TEST.DIR_SEP.'reporter.php');

class ShowPasses extends HtmlReporter {
    
  function paintPass($message) {
      parent::paintPass($message);
      print "&<span class=\"pass\">Pass</span>: ";
      $breadcrumb = $this->getTestList();
      array_shift($breadcrumb);
      print implode("-&gt;", $breadcrumb);
      print "-&gt;$message<br />\n";
  }
                                                                
  function _getCss() {
      return parent::_getCss() . ' .pass { color: green; }';
  }
}

