<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 * 
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose if confirmed, drops FoF's tables
 * @version $Revision: 478 $
 * $Id: uninstall.php 478 2006-07-20 07:01:34Z kevbob $
 */

require_once("header.php");
?>

<body id="panel-page">


<?php
if (isset($_GET['really'])
    and !empty($_GET['really'])) {

   // get instance of db connection from model
   $fof_db = FOF_BaseModel::getDB();

   // NOTE: for databases that have referential integrity contraints (foreign keys)
   //       the delete order of tables is important. -Kevin

   $fof_db->Execute("DROP TABLE ".FOF_X_TAG_ITEM_TABLE);
   $fof_db->Execute("DROP TABLE ".FOF_ITEM_TABLE);
   $fof_db->Execute("DROP TABLE ".FOF_FEED_TABLE);
   $fof_db->Execute("DROP TABLE ".FOF_TAG_ALIAS_TABLE);
   $fof_db->Execute("DROP TABLE ".FOF_TAG_TABLE);
   $fof_db->Execute("DROP TABLE ".FOF_CONFIG_TABLE);
   $fof_db->Execute("DROP TABLE ".FOF_CATEGORY_TABLE);
   $fof_db->Execute("DROP TABLE ".FOF_USERS_TABLE);


   echo 'Done.  Now just delete this entire directory and we\'ll forget this ever happened.';
}
else {
?>
<script>
if(confirm('Do you really want to uninstall Feed on Feeds?'))
{
	document.location = document.location + '?really=really';
}
</script>
<a href="."><b>panel</b></a>

<?php include("footer.php"); ?>

<?php } ?>