

<div class="entry">
 <div class="etop">
<?php

$item_feed = $item->getFeed();

// render feed image link if option permits and it is available
	if ( $opts->get('items.display_feed_images') ) {
		$rss_image = $item_feed->getRssImage();
		if (!is_null($rss_image)) {
			$image_html = sprintf( "\t".'<div class="image"><img src="%s" /></div>'."\n", $rss_image);
         print fof_normalize_content_urls($image_html, $item_feed->getUrl());
		}
	}


//	render HTML for tag/flag form components
		echo ' <div class="readunread">';

		if($item->getFlag() != FOF_SAVED_FLAG) {
		   printf( "<a href=\"javascript:flag_save('c%d','save')\" class=\"save_flag\"><span>save</span></a>  ", $item->getId());
		}
		else {
			   printf( "<a href=\"javascript:flag_save('c%d','unsave')\" class=\"unsave_flag\"><span>unsave</span></a>  ", $item->getId());
			}
	       //print sprintf($tag_select, 'addtag_' . $item->getId() )."&nbsp;&nbsp;";
	       printf( "<a href=\"javascript:flag_upto('c%d')\">flag all up to this item</a> ",$item->getId());
	       printf( "<input type=\"checkbox\" name=\"c%d\" value=\"checked\" />", $item->getId());
		print '</div>';


	printf( "\t<h1><a href=\"%s\">%s</a></h1>\n",
         $item->getLink(),
         $item->getTitle() );

// Meta data
	print '<div class="postedinfo">';

	$publish_ts = $item->getPublishTime();
	$publish_time = date("F j, Y, g:i a", $publish_ts - ($opts->get('global.time_offset') * 60 * 60));
	$cache_ts = $item->getCacheTime();
	$cache_time =  date("F j, Y, g:i a", $cache_ts - ($opts->get('global.time_offset') * 60 * 60));
	print "Posted: $publish_time ";


	// render link for feed
		printf("\t\t on <span class=\"feed_title\"><a href=\"%s\" title=\"%s\">%s</a></span>",
	        $item_feed->getLink(),
	        fof_sanitize_content($item_feed->getDescription()),
	        fof_sanitize_content($item_feed->getTitle()) );
		
	if($item->getCreator())
	{
		printf( " by %s ", $item->getCreator() );
	}

	if ( $item->getEnclosureLink() ) {
   		list($baseType) = split('/', $item->getEnclosureType());
		printf( "[<a href=\"%s\">%s link</a>]", $item->getEnclosureLink(), $baseType );
	}

// location
	$latitude = $item->getLatitude();
	$longitude = $item->getLongitude();

	if(($latitude && $longitude) && ($latitude !=0 && $longitude != 0))
	{
		printf( "from <a href=\"http://geourl.org/near?lat=$latitude&amp;long=$longitude\" target=\"_new\">%3.5f x %3.5f</a> ",$latitude,$longitude);
	}
//	print "(cached at $cache_time)";
	print "</div><!-- postedinfo -->";
	

   // construct list of tags attached to this item
	$item_tags = $item->getTags();
	$item_tags->rewind();
	$tag_links = '';
	$item_id = $item->getId();
	while ( $item_tags->valid() ) {
	   $tag = $item_tags->current();
	   $item_tags->next();
      
	   if ($tag_links != '' ) {
	      $tag_links .= ', ';
	   }
	   $tag_name = $tag->getName();
	   $tag_id   = $tag->getId();
      $tag_search = clone($item_search);
      $tag_search->setTag($tag_id);

	   $tag_links .= sprintf("<a href=\"view.php?%s&amp;view=$view\">%s</a>",
                            fof_search2queryString($tag_search, false),
                            $tag_name);
	   //add remove link for tag
	   $tag_links .= "<a class=\"tag_remove\" href=\"javascript:remove_tag($item_id,$tag_id)\" title=\"Remove Tag\">(r)</a>";
	}

	print "<div class=\"tagdisplay\">Tags (edit): $tag_links</div>\n";

   // render link for feed's category
   $feed_category = $item_feed->getCategory();
   $category_search = clone($item_search);
   $category_search->setCategory($feed_category->getId());

	printf( "<div class=\"catdisplay\">Category: <a class=\"category_%s\" href=\"view.php?%s\">%s</a></div>\n",
        $feed_category->getTitle(),
        fof_search2queryString($category_search, false) . "&amp;view=$view",
        $feed_category->getTitle());

	echo "</div><!-- etop -->\n";



$item_content = fof_sanitize_content($item->getContent());
$item_content = fof_normalize_content_urls( $item_content, $item->getLink() );

	print "\t<div class=\"ebottom clearfix\">\n$item_content\n\t</div><!-- ebottom -->\n";

	echo "</div><!-- entry -->\n";

