<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * Distributed under the GPL - see LICENSE
 *
 */

/** 
 * @purpose deletes a feed and all items
 * @version $Revision: 546 $
 * $Id: delete.php 546 2007-02-25 07:57:33Z kevbob $
 */

require_once "init.php";


$view = (isset($_GET['view'])) ? $_GET['view'] : 'normal';
$redir_uri = (isset($_GET['redir'])) ? $_GET['redir'] : '';

if(isset($_GET['feed']))
{
   $feed_model = FOF_ModelFactory::getFeedModel();
   $feed = $feed_model->fetch($_GET['feed']);

   $db = $feed_model->getDB();  //wrap this in a transaction if the db supports it
   $db->StartTrans();

   $return = $feed_model->remove($feed);
   
   if (!$return) {
      print "error deleting feed";
      print ":: ". $db->ErrorMsg();
      $db->RollbackTrans();
   } else {
   	
	  $db->CompleteTrans();
   }
}
else if(isset($_GET['category']))
{
   $category_id = $_GET['category'];
   $cat_model = FOF_ModelFactory::getCategoryModel();
   $category = $cat_model->fetch($category_id);
   $cat_model->remove($category);
}

$main_view = new RedirectView( FOF_BASE_URL . $redir_uri );
$main_view->render();
