<?php
/*
 * This file is part of fofRedux - http://fofredux.sf.net/
 *  a fork of the Feed on Feeds project - http://feedonfeeds.com
 *
 * fofRedux Copyright (C) 2005 Andrew Turner
 * nilspace@users.sourceforge.net - http://highearthorbit.com
 * 
 * Distributed under the GPL - see LICENSE
 *
 */

/**
 * @purpose displays appropriate view based on "view" variable
 * @version $Revision: 547 $
 * $Id: index.php 547 2007-02-25 08:10:54Z kevbob $
 */

require_once 'init.php';

if(isset($_GET['view']))
   $view = $_GET['view'];

if ( !isset($view)
     || ($view == "normal")
     || ($view == "panel")) {

   $my_view = new RedirectView( FOF_BASE_URL . 'panel.php');
}
else {

   $my_view = new View( FOF_VIEW_DIR . DIR_SEP . 'frameset.php' );

}

$my_view->render();

